diff --git a/doc/reference/pidgin/pidgin-docs.xml b/doc/reference/pidgin/pidgin-docs.xml
--- a/doc/reference/pidgin/pidgin-docs.xml
+++ b/doc/reference/pidgin/pidgin-docs.xml
@@ -87,7 +87,6 @@
       <xi:include href="xml/pidginstock.xml" />
       <xi:include href="xml/pidginstylecontext.xml" />
       <xi:include href="xml/pidgintalkatu.xml" />
-      <xi:include href="xml/pidginwindow.xml" />
   </part>
 
   <part id="signals">
diff --git a/doc/reference/pidgin/signals_gtkconv.xml b/doc/reference/pidgin/signals_gtkconv.xml
--- a/doc/reference/pidgin/signals_gtkconv.xml
+++ b/doc/reference/pidgin/signals_gtkconv.xml
@@ -25,8 +25,8 @@
 <refsect2 id="gtkconvs-conversation-dragging" role="signal">
  <title>The <literal>&quot;conversation-dragging&quot;</literal> signal</title>
 <programlisting>
-void                user_function                      (PidginWindow *source,
-                                                        PidginWindow *destination,
+void                user_function                      (PidginConvWindow *source,
+                                                        PidginConvWindow *destination,
                                                         gpointer user_data)
 </programlisting>
   <para>
diff --git a/pidgin/glade/pidgin3.xml.in b/pidgin/glade/pidgin3.xml.in
--- a/pidgin/glade/pidgin3.xml.in
+++ b/pidgin/glade/pidgin3.xml.in
@@ -20,7 +20,6 @@
     <glade-widget-class name="PidginProtocolStore" generic-name="protocol_store" title="ProtocolStore"/>
     <glade-widget-class name="PidginScrollBook" generic-name="scroll_book" title="ScrollBook"/>
     <glade-widget-class name="PidginStatusBox" generic-name="status_box" title="StatusBox"/>
-    <glade-widget-class name="PidginWindow" generic-name="window" title="Window"/>
   </glade-widget-classes>
   <glade-widget-group name="pidgin" title="Pidgin">
     <glade-widget-class-ref name="PidginAccountChooser"/>
@@ -42,6 +41,5 @@
     <glade-widget-class-ref name="PidginProtocolStore"/>
     <glade-widget-class-ref name="PidginScrollBook"/>
     <glade-widget-class-ref name="PidginStatusBox"/>
-    <glade-widget-class-ref name="PidginWindow"/>
   </glade-widget-group>
 </glade-catalog>
diff --git a/pidgin/gtkblist.c b/pidgin/gtkblist.c
--- a/pidgin/gtkblist.c
+++ b/pidgin/gtkblist.c
@@ -52,7 +52,6 @@
 #include "pidgin/pidginplugininfo.h"
 #include "pidginscrollbook.h"
 #include "pidgin/pidginstylecontext.h"
-#include "pidgin/pidginwindow.h"
 #include "pidginstock.h"
 
 #include <gdk/gdkkeysyms.h>
diff --git a/pidgin/gtkconv.c b/pidgin/gtkconv.c
--- a/pidgin/gtkconv.c
+++ b/pidgin/gtkconv.c
@@ -64,7 +64,6 @@
 #include "pidginpresenceicon.h"
 #include "pidginstock.h"
 #include "pidginstylecontext.h"
-#include "pidginwindow.h"
 
 #define ADD_MESSAGE_HISTORY_AT_ONCE 100
 
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -62,7 +62,6 @@
 	'pidginscrollbook.c',
 	'pidginstylecontext.c',
 	'pidgintalkatu.c',
-	'pidginwindow.c',
 	'prefs/pidginprefs.c',
 	'prefs/pidgincredentialproviderrow.c',
 	'prefs/pidgincredentialspage.c',
@@ -133,7 +132,6 @@
 	'pidginscrollbook.h',
 	'pidginstylecontext.h',
 	'pidgintalkatu.h',
-	'pidginwindow.h',
 ]
 
 libpidgin_prefs_headers = [
diff --git a/pidgin/pidginwindow.h b/pidgin/pidginwindow.h
deleted file mode 100644
--- a/pidgin/pidginwindow.h
+++ /dev/null
@@ -1,67 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_WINDOW_H
-#define PIDGIN_WINDOW_H
-
-/**
- * SECTION:pidginwindow
- * @section_id: pidgin-window
- * @short_description: A base window widget.
- * @title: Window
- *
- * #PidginWindow is a transitional widget as we slowly migrate everything to
- * glade.
- */
-
-#include <glib.h>
-
-#include <gtk/gtk.h>
-
-G_BEGIN_DECLS
-
-#define PIDGIN_TYPE_WINDOW (pidgin_window_get_type())
-G_DECLARE_FINAL_TYPE(PidginWindow, pidgin_window, PIDGIN,
-                     WINDOW, GtkWindow)
-
-/**
- * pidgin_window_new:
- * @title: The window title, or %NULL.
- * @border_width: The window's desired border width.
- * @role: A string indicating what the window is responsible for doing, or
- *        %NULL.
- * @resizable: Whether the window should be resizable.
- *
- * Creates a new #PidginWindow instance.
- *
- * Returns: (transfer full): The new #PidginWindow instance.
- *
- * Since: 3.0.0
- */
-GtkWidget *pidgin_window_new(const gchar *title, guint border_width, const gchar *role, gboolean resizable);
-
-G_END_DECLS
-
-#endif /* PIDGIN_WINDOW_H */
diff --git a/pidgin/pidginwindow.c b/pidgin/pidginwindow.c
deleted file mode 100644
--- a/pidgin/pidginwindow.c
+++ /dev/null
@@ -1,63 +0,0 @@
-/*
- * pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, see <https://www.gnu.org/licenses/>.
- */
-
-#include <glib/gi18n-lib.h>
-
-#include "pidginwindow.h"
-
-#include "pidgincore.h"
-
-struct _PidginWindow {
-	GtkWindow parent;
-};
-
-/******************************************************************************
- * GObject Implementation
- *****************************************************************************/
-G_DEFINE_TYPE(PidginWindow, pidgin_window, GTK_TYPE_WINDOW)
-
-static void
-pidgin_window_init(PidginWindow *button) {
-}
-
-static void
-pidgin_window_class_init(PidginWindowClass *klass) {
-}
-
-/******************************************************************************
- * Public API
- *****************************************************************************/
-GtkWidget *
-pidgin_window_new(const gchar *title, guint border_width, const gchar *role,
-                  gboolean resizable)
-{
-	if(title == NULL) {
-		title = PIDGIN_ALERT_TITLE;
-	}
-
-	return GTK_WIDGET(g_object_new(
-		PIDGIN_TYPE_WINDOW,
-		"title", title,
-		"border-width", border_width,
-		"role", role,
-		"resizable", resizable,
-		NULL));
-}
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -375,7 +375,6 @@
 pidgin/pidginstock.c
 pidgin/pidginstylecontext.c
 pidgin/pidgintalkatu.c
-pidgin/pidginwindow.c
 pidgin/plugins/disco/gtkdisco.c
 pidgin/plugins/disco/resources/disco.ui
 pidgin/plugins/disco/xmppdisco.c
